<bugID>1123696<Summary>Sync's util.js checks for BrowserPreferences ID on the preferences implementation but the in-content preferences doesn't use BrowserPreferences as an ID</Summary><Description>http://mxr.mozilla.org/mozilla-central/search?string=BrowserPreferences

http://hg.mozilla.org/mozilla-central/annotate/c2df1daf74c3/browser/base/content/sync/utils.js#l29

http://hg.mozilla.org/mozilla-central/annotate/c2df1daf74c3/browser/components/preferences/preferences.xul#l37

We need to investigate if this means that the in-content preferences are broken here and if they are we'll either want to add the BrowserPreferences ID or fix up the Sync code to not rely on this ID.</Description></bugID>